Orton and the princess (runner version)
======================

Un runner fait en CSFML reprenant certaines mécaniques de jeu d'Orton and the princess.

Installation
----------

Le jeu est dependant de `CSFML` un binding C de la SFML.
Une fois la library installée il vous reste plus qu'a faire `make`.
L'exécutable s'appelle `my runner` et il suffit de lui indiquer le chemin d'une map(ex: `./my_runner map/level_1.txt`). 


Les maps
--------

Les maps sont très simples de création, il vous suffie de dessiner la map avec des caractères.
Voilà la liste des caractères:

* 'A' : Orton
* 'B' : Princess.
* 'C' : Fake princess.
* '1' : Sol.
* '2' : Faux sol.
* '3' : Pique vers le haut.
* '4' : Pique vers le bas.
* '5' : Pique vers la gauche.
* '6' : Pique vers la droite.
* 'V' : Lanceur de pierre.
* 'W' : Lanceur de flèchee (du haut vers le bas).
* 'X' : Lanceur de flèchee (du bas vers le haut).
* 'Y' : Lanceur de flèchee (de la droite vers la gauche).
* 'Z' : Lanceur de flèchee (de la gauche vers la droite).


Configuration
------------

S'il vous prend l'envie de modifier le jeu sans toucher au code le fichier `configure` peut vous aider.
Le `./configure` permet de specifier au programme certaine information, comme désactiver le mur qui vous suit, changer la durée du saut...
Voilà la liste des commandes utiles pour modifier un peu le jeu et le gameplay :

* `-h ou --help`		        	: affiche des infos pour utiliser `configure`
* `--file-debug`                     : Quand une map est loadée en memoire celle-ci sera affichée dans la sortie standard
* `--valgrind-debug`		    	: Permets d'avoir des infos sur l'utilisation de la memoire (entre autre) (utilise `valgrind`)
* `--wall-speed=[interger]`		    : Permets de définir la vitesse du mur qui vous suit
* `--camera-speed=<interger>`		: Permets de définir la vitesse de la camera
* `--camera-shaky=<interger>`		: Permets de définir le tremblement de la camera quand Orton meurt
* `--player-jump-time=<interger>`	: Permets de définir la hauteur du saut de Orton
* `--player-speed=<interger>`		: Permets de définir la vitesse de déplacement de Orton
* `--object-speed=<interger>`		: Permets de définir la vitesse des objets